import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom,
  format
} from 'd3';



const svg = select('svg');


d3.csv('https://gist.githubusercontent.com/Platoch/0b1e9dc1949f59f3c92654536cd7e1a4/raw/bc992c99c697621fb72df9a1749caa71ef3d3564/data_bonus.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Product'), y: unpack(rows, 'Revenue'), z: unpack(rows, 'Revenue'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'cubes3d'
};


var data = [trace1];
var layout = {margin: {
	l: 10,
	r: 10,
	b: 10,
	t: 10
  }};
Plotly.newPlot('myDiv', data, layout);
});
